DKBSignDocs

API reference

GETRequires Bearer token

List vault audit events

/api/edm/audit

Company-admin. Hash-chained events (prev_hash, entry_hash).

Path parameters

This endpoint has no path parameters.

Query parameters

FieldTypeDescription
object_type
stringFor example document.
object_id
stringObject id.
from
stringISO lower bound.
to
stringISO upper bound.
limit
integerPage size (1–200, default 50).
e.g. 50
offset
integerOffset (default 0).
e.g. 0

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Audit
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/edm/audit?object_type=object_type&object_id=uuid_or_id&from=from&to=to&limit=50&offset=0' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
[
  {
    "id": 1,
    "action": "sealed",
    "object_type": "document",
    "entry_hash": "abc…"
  }
]